﻿using System;
using System.Collections.ObjectModel;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace Chart_GettingStarted
{
    public class ViewModel
    {
        public ObservableCollection<WeighIn> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<WeighIn>()
            {
                new WeighIn { DateWeighed = DateTime.Now.AddDays(-7), Weight = 50},
                new WeighIn { DateWeighed = DateTime.Now.AddDays(-6), Weight = 55},
                new WeighIn { DateWeighed = DateTime.Now.AddDays(-5), Weight = 58},
                new WeighIn { DateWeighed = DateTime.Now.AddDays(-4), Weight = 55},
                new WeighIn { DateWeighed = DateTime.Now.AddDays(-3), Weight = 53},
                new WeighIn { DateWeighed = DateTime.Now.AddDays(-2), Weight = 48}
            };
        }
    }

       
    public class WeighIn
    {
        public DateTime DateWeighed { get; set; }
        public double Weight { get; set; }
        //public WeighIn(DateTime xvalue, double yvalue)
        //{
        //    DateWeighed = xvalue;
        //    Weight = yvalue;
        //}
    }
}